#!/bin/sh

UBGUARD_HOME=`dirname "$0"`/..
UBGUARD_ENVIRONMENT=$UBGUARD_HOME/bin/environment.sh
. $UBGUARD_ENVIRONMENT

UBGUARD_EXE="$JAVA_HOME/bin/java -jar $UBGUARD_HOME/ubGuard.jar"
UBGUARD_LOG=$UBGUARD_HOME/log/ubguard"$2".log
UBGUARD_COMMAND_START=start
MESSAGE_JAVA_HOME_NOT_DEFINED="JAVA_HOME not defined in $UBGUARD_ENVIRONMENT"


if [ -n "$JAVA_HOME" ]
then
    if [ "$1" = "$UBGUARD_COMMAND_START" ]
    then
        echo "The output will be written to $UBGUARD_LOG"
        nohup $UBGUARD_EXE "$@" >> $UBGUARD_LOG 2>&1 &
    else
        $UBGUARD_EXE "$@"
    fi
else
    echo $MESSAGE_JAVA_HOME_NOT_DEFINED
fi
